#!/bin/sh
# Diff Dirs Startup script
# (c) 2009 Syncro Soft Ltd.

# Resolve the location of the Syncro SVN installation.
# This includes resolving any symlinks.
PRG=$0
cd `dirname "$PRG"`
PRG=`basename "$PRG"`

while [ -L "$PRG" ]
do
	PRG="`readlink "$PRG"`"
	cd "`dirname "$PRG"`"
	PRG="`basename "$PRG"`"
done

OXYGEN_HOME=`dirname "$PRG"`

# Absolutize dir
oldpwd=`pwd`
cd "${OXYGEN_HOME}"; OXYGEN_HOME=`pwd`
cd "${oldpwd}"; unset oldpwd

# Classpath
CP=$OXYGEN_HOME/lib/oxygenXMLDiff.jar:$OXYGEN_HOME/classes:$OXYGEN_HOME

#  The two command line parameters are optional and represent the path of the directory 
#  displayed in the left side panel of the XML Diff window and the path of the directory 
#  displayed in the right side panel.
java -Xdock:name=DiffDirectories\
 -Xdock:icon="$OXYGEN_HOME/DiffDirs.app/Contents/Resources/DiffDirs.icns"\
 -Dcom.oxygenxml.app.descriptor=ro.sync.diff.ui.DiffDirectoriesApplicationMainFrameDescriptor\
 -Xmx256m\
 -XX:SoftRefLRUPolicyMSPerMB=10\
 -cp "$CP"\
 ro.sync.exml.Oxygen "$1" "$2"